Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase Member List

This is the complete list of members for eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase, including all inherited members.

$connection | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase | private
__construct(Connection $connection) | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
COLUMN_CREATED | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
COLUMN_DATA | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
COLUMN_ID | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
COLUMN_IS_PENDING | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
COLUMN_OWNER_ID | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
COLUMN_TYPE | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
countUserNotifications(int $userId) | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
countUserPendingNotifications(int $userId) | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
delete(int $notificationId) | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
getColumns() | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase | private
getNotificationById(int $notificationId) | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
insert(CreateStruct $createStruct) | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
loadUserNotifications(int $userId, int $offset=0, int $limit=-1) | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
TABLE_NOTIFICATION | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |
updateNotification(Notification $notification) | eZ\Publish\Core\Persistence\Legacy\Notification\Gateway\DoctrineDatabase |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.